Skip to main content
POST
/
public
/
get-dsa-code-execution-result
Get DSA code execution result [single]
curl --request POST \
  --url https://backend.codedamn.com/api/public/get-dsa-code-execution-result \
  --header 'Content-Type: application/json' \
  --header 'FERMION-API-KEY: <api-key>' \
  --data '
{
  "data": [
    {
      "data": {
        "taskUniqueId": "<string>"
      }
    }
  ]
}
'
import requests

url = "https://backend.codedamn.com/api/public/get-dsa-code-execution-result"

payload = { "data": [{ "data": { "taskUniqueId": "<string>" } }] }
headers = {
    "FERMION-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'FERMION-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({data: [{data: {taskUniqueId: '<string>'}}]})
};

fetch('https://backend.codedamn.com/api/public/get-dsa-code-execution-result', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "output": {
      "status": "ok",
      "data": {
        "taskUniqueId": "<string>",
        "sourceCodeAsBase64UrlEncoded": "<string>",
        "runConfig": {
          "expectedOutputAsBase64UrlEncoded": "<string>",
          "stdinStringAsBase64UrlEncoded": "<string>",
          "callbackUrlOnExecutionCompletion": "<string>",
          "shouldEnablePerProcessAndThreadCpuTimeLimit": false,
          "shouldEnablePerProcessAndThreadMemoryLimit": false,
          "shouldAllowInternetAccess": false,
          "compilerFlagString": "",
          "maxFileSizeInKilobytesFilesCreatedOrModified": 51200,
          "stackSizeLimitInKilobytes": 65536,
          "cpuTimeLimitInMilliseconds": 2000,
          "wallTimeLimitInMilliseconds": 5000,
          "memoryLimitInKilobyte": 512000,
          "maxProcessesAndOrThreads": 60
        },
        "runResult": {
          "compilerOutputAfterCompilationBase64UrlEncoded": "<string>",
          "finishedAt": "2023-11-07T05:31:56Z",
          "programRunData": {
            "cpuTimeUsedInMilliseconds": 1,
            "wallTimeUsedInMilliseconds": 1,
            "memoryUsedInKilobyte": 1,
            "exitSignal": 123,
            "exitCode": 123,
            "stdoutBase64UrlEncoded": "<string>",
            "stderrBase64UrlEncoded": "<string>"
          }
        }
      }
    }
  }
]

Authorizations

FERMION-API-KEY
string
header
required

Body

application/json

API Request Body

data
object[]
required

Response

200 - application/json

API Response Body

output
object
required